{{extend 'layout.html'}}


<style>
.row-buttons{
  padding:10px;
}
.firstrow{
  padding-top:40px;
}
p{
  font-size:18px;
}
</style>


<div class="container">
  <div class="row firstrow">
    <div class="col-md-12">


<p>
¿Deseas comenzar la extracción?
</p>

<button id="start_extraction" type="button" class="btn btn-info">Inicializar grid</button>


</div>
    </div>
  </div>
</div>



<script>
  $( "#start_extraction" ).click(function() {
    start_extraction();
  });

  function start_extraction(){
    $.get(
      "/start_extraction_ajax",
      "country_code={{=country_code}}",
      function(data) { console.log(" success from initialized.html: "+JSON.stringify(data)); 
        window.location.replace("/extracting?country_code={{=country_code}}");
      },
      "html"
    );
  }

/*
  function start_extraction(){
    jQuery.ajax({

      url : '/start_extraction_ajax',
      type : 'GET',
      dataType:'html',
      success : function(data) {              
          console.log(data);
          window.location.replace("/extracting");
      },
      error : function(request,error)
      {
          alert("from initialized.html: "+JSON.stringify(request));
      }
    });
  }
  */
</script>
